%global pypi_name pulpcore
%global wrappers gunicorn pulpcore-worker
%global commitId 0701efa8f8cd9108b588d591bf6491a050f028b5

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.23.2
Release:        1%{?dist}
Summary:        Pulp Django Application and Related Modules

License:        GPLv2+
URL:            https://github.com/pulp/pulpcore
Source0:        python-pulpcore-0701efa8f8cd9108b588d591bf6491a050f028b5.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 40.8.0
BuildRequires:  python%{python3_pkgversion}-wheel >= 0.29.0

%description
Pulp is a platform for managing repositories of content, such as software
packages, and pushing that content out to large numbers of consumers.

Using Pulp you can:
- Locally mirror all or part of a repository
- Host your own content in a new repository
- Manage content from multiple sources in one place
- Promote content through different repos in an organized way

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-aiodns >= 3.0
Requires:       python%{python3_pkgversion}-aiodns <= 3.0.0
Requires:       python%{python3_pkgversion}-aiofiles >= 22.1
Requires:       python%{python3_pkgversion}-aiofiles < 23.2.0
Requires:       python%{python3_pkgversion}-aiohttp >= 3.8.1
Requires:       python%{python3_pkgversion}-aiohttp < 3.8.5
Requires:       python%{python3_pkgversion}-asyncio-throttle >= 1.0
Requires:       python%{python3_pkgversion}-asyncio-throttle <= 1.0.2
Requires:       python%{python3_pkgversion}-backoff >= 2.1.2
Requires:       python%{python3_pkgversion}-backoff < 2.2.2
Requires:       python%{python3_pkgversion}-click >= 8.1.0
Requires:       python%{python3_pkgversion}-click <= 8.1.3
Requires:       python%{python3_pkgversion}-cryptography >= 38.0.1
Requires:       python%{python3_pkgversion}-cryptography < 39.0.3
Requires:       python%{python3_pkgversion}-django >= 3.2.18
Requires:       python%{python3_pkgversion}-django < 3.3
Requires:       python%{python3_pkgversion}-django-currentuser = 0.5.3
Requires:       python%{python3_pkgversion}-django-filter = 22.1
Requires:       python%{python3_pkgversion}-django-guid >= 3.3
Requires:       python%{python3_pkgversion}-django-guid <= 3.3.0
Requires:       python%{python3_pkgversion}-django-import-export >= 2.9
Requires:       python%{python3_pkgversion}-django-import-export < 3.2.0
Requires:       python%{python3_pkgversion}-django-lifecycle >= 1.0
Requires:       python%{python3_pkgversion}-django-lifecycle <= 1.0.0
Requires:       python%{python3_pkgversion}-django-prometheus
Requires:       python%{python3_pkgversion}-djangorestframework >= 3.13.1
Requires:       python%{python3_pkgversion}-djangorestframework <= 3.14.0
Requires:       python%{python3_pkgversion}-djangorestframework-queryfields >= 1.0
Requires:       python%{python3_pkgversion}-djangorestframework-queryfields <= 1.0.0
Requires:       python%{python3_pkgversion}-drf-access-policy >= 1.1.2
Requires:       python%{python3_pkgversion}-drf-access-policy < 1.5.1
Requires:       python%{python3_pkgversion}-drf-nested-routers = 0.93.4
Requires:       python%{python3_pkgversion}-drf-spectacular = 0.25.1
Requires:       python%{python3_pkgversion}-dynaconf >= 3.1.12
Requires:       python%{python3_pkgversion}-dynaconf < 3.1.13
Requires:       python%{python3_pkgversion}-gnupg >= 0.5
Requires:       python%{python3_pkgversion}-gnupg <= 0.5.0
Requires:       python%{python3_pkgversion}-gunicorn >= 20.1
Requires:       python%{python3_pkgversion}-gunicorn <= 20.1.0
Requires:       python%{python3_pkgversion}-jinja2 >= 3.1
Requires:       python%{python3_pkgversion}-jinja2 <= 3.1.2
Requires:       python%{python3_pkgversion}-naya = 1.1.1
Requires:       python%{python3_pkgversion}-pulp-glue >= 0.18.0
Requires:       python%{python3_pkgversion}-pulp-glue < 0.19
Requires:       python%{python3_pkgversion}-protobuf >= 4.21.0
Requires:       python%{python3_pkgversion}-protobuf < 4.22.2
Requires:       python%{python3_pkgversion}-psycopg2 >= 2.9.3
Requires:       python%{python3_pkgversion}-psycopg2 < 2.9.6
Requires:       python%{python3_pkgversion}-pygtrie >= 2.5
Requires:       python%{python3_pkgversion}-pygtrie <= 2.5.0
Requires:       python%{python3_pkgversion}-PyYAML >= 5.1.1
Requires:       python%{python3_pkgversion}-PyYAML <= 6.0.0
Requires:       python%{python3_pkgversion}-redis >= 4.3
Requires:       python%{python3_pkgversion}-redis < 4.5.2
Requires:       python%{python3_pkgversion}-setuptools >= 39.2
Requires:       python%{python3_pkgversion}-setuptools < 67.7.0
Requires:       python%{python3_pkgversion}-url-normalize = 1.4.3
Requires:       python%{python3_pkgversion}-whitenoise >= 5.0
Requires:       python%{python3_pkgversion}-whitenoise < 6.5.0
Requires:       python%{python3_pkgversion}-yarl >= 1.8
Requires:       python%{python3_pkgversion}-yarl < 1.8.3

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
Obsoletes:      python3-django-guardian
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
Obsoletes:      python38-django-guardian
%endif

Provides:       %{pypi_name} = %{version}

%description -n python%{python3_pkgversion}-%{pypi_name}
Pulp is a platform for managing repositories of content, such as software
packages, and pushing that content out to large numbers of consumers.

Using Pulp you can:
- Locally mirror all or part of a repository
- Host your own content in a new repository
- Manage content from multiple sources in one place
- Promote content through different repos in an organized way

%prep
set -ex
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
set -ex
%py3_build

for wrapper in %{wrappers}
do
  printf '#!/bin/bash\nexec %s "$@"\n' ${wrapper} > ${wrapper}
done

%install
set -ex
%py3_install

for wrapper in %{wrappers}
do
  install -D -m 755 ${wrapper} %{buildroot}%{_libexecdir}/%{pypi_name}/${wrapper}
done

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/pulp-content
%{_bindir}/pulpcore-manager
%{_bindir}/pulpcore-worker
%{_libexecdir}/%{pypi_name}/*
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}*-py%{python3_version}.egg-info

%changelog
* Wed Apr 12 2023 Satoe Imaishi <simaishi@redhat.com> - 3.23.2-1
- Update to 3.23.2

* Thu Dec 15 2022 Satoe Imaishi <simaishi@redhat.com> - 3.21.3-1
- Update to 3.21.3

* Tue Oct 25 2022 Dimitri Savineau <dsavinea@redhat.com> - 3.21.0-2
- Obsoletes python-django-guardian

* Thu Oct 13 2022 Satoe Imaishi <simaishi@redhat.com> - 3.21.0-1
- Initial Build
